import request from '@/utils/request'
import Qs from 'qs'

/**
 * 1.查询操作日志列表
 * 2.删除操作日志
 * 3.清空操作日志
 * 4.导出操作日志
 * */

// 查询操作日志列表
export function list(query) {
  return request({
    url: '/monitor/operLog/list',
    method: 'get',
    params: query
  })
}

// 删除操作日志
export function delOperLog(data) {
  data = Qs.stringify(data)
  return request({
    url: '/monitor/operLog/delete',
    method: 'post',
    data: data
  })
}

// 清空操作日志
export function cleanOperLog(query) {
  return request({
    url: '/monitor/operLog/clean',
    method: 'delete',
    params: query
  })
}

// 导出操作日志
export function exportOperLog(query) {
  return request({
    url: '/monitor/operLog/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
